//
//  CurrentDebugUser.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 15/01/2025.
//

import SwiftUI

struct CurrentDebugUser: View {
    var body: some View {
        VStack(spacing: 8) {
            SQImage("avatar-1", height: 64)
            VStack {
                SQText("Harbin Leduc")
                SQText("Torphy LLC")
                SQText("Auto-entrepreneur")
                    .sqSize(12)
                    .sqFont(.semiBold)
                    .padding(.vertical, 4)
                    .padding(.horizontal, 8)
                    .background {
                        RoundedRectangle(cornerRadius: 8)
                            .fill(Color.sqPurple(20))
                    }
            }

            HStack {
                SQText("UserID:")
                    .sqFont(.semiBold)
                Spacer()
                SQText("103135")
                Button {} label: {
                    SQIcon(.files)
                        .padding(8)
                        .background {
                            Circle()
                                .fill(Color.sqNeutral(20))
                        }
                }
            }
            HStack {
                SQText("Email:")
                    .sqFont(.semiBold)
                Spacer()
                SQText("test@test.com")
                Button {} label: {
                    SQIcon(.files)
                        .padding(8)
                        .background {
                            Circle()
                                .fill(Color.sqNeutral(20))
                        }
                }
            }
            HStack {
                SQText("Téléphone:")
                    .sqFont(.semiBold)
                Spacer()
                SQText("0612345678")
                Button {} label: {
                    SQIcon(.files)
                        .padding(8)
                        .background {
                            Circle()
                                .fill(Color.sqNeutral(20))
                        }
                }
            }
//            HStack {
//                SQText("Auth Token:", font: .demiBold)
//                Spacer()
//                SQText("fpoFZ4G4ZGhrhreF4Z6ZZG53")
//            }
//            HStack {
//                SQText("Airship ID:", font: .demiBold)
//                Spacer()
//                SQText("34HZRH657653H636")
//            }
//            HStack {
//                SQText("Firebase Token:", font: .demiBold)
//                Spacer()
//                SQText("rzogjiéG245G24gégéregezgrz")
//            }
        }
        .padding()
        .background {
            RoundedRectangle(cornerRadius: 10)
                .fill(Color.sqNeutral(10))
        }
        .padding(.horizontal)
    }
}

#Preview {
    CurrentDebugUser()
}
